define(
	['Backbone', 'Resources', 'Organism'],
	function(Backbone, resources, Organism) {
		var Organisms = Backbone.Collection.extend({
			model: Organism,
			parse: function(response) {
				if(!response.organism){
					response.organism = [];
				}
				$.extend(response.organism, response.organismGroups);
				return response.organism;
			}
		});

		return Organisms;
	}


);
